#!/bin/sh
# IBM Confidential OCO Source Material
# 5630-A36, 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5733-W61 (C) COPYRIGHT International Business Machines Corp. 1997, 2012
# The source code for this program is not published or otherwise divested
# of its trade secrets, irrespective of what has been deposited with the
# U.S. Copyright Office.

set -x
[ -d OS ] && rm -r OS
mkdir OS
WASInstallDir=$1
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: date                                                                  >> OS/system  # Date and time
              date                                                                  >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: hostname                                                              >> OS/system  # Host name
              hostname                                                              >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: uname -a                                                              >> OS/system  # Machine information & OS level
              uname -a                                                              >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: oslevel                                                               >> OS/system  # AIX version
              oslevel                                                               >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: instfix -i \| grep AIX_ML                                             >> OS/system  # AIX maintenance level
              instfix -i | grep AIX_ML                                              >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: bootinfo -K                                                           >> OS/system  # 32-bit vs 64-bit
              bootinfo -K                                                           >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: bootinfo -m                                                           >> OS/system  # Machine model
              bootinfo -m                                                           >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: bootinfo -T                                                           >> OS/system  # Machine type
              bootinfo -T                                                           >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: bootinfo -r                                                           >> OS/system  # Memory
              bootinfo -r                                                           >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lsattr -El sys0                                                       >> OS/system  # Memory
              lsattr -El sys0                                                       >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lsps -s                                                               >> OS/system  # Paging space summary
              lsps -s                                                               >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lsps -a                                                               >> OS/system  # Paging space details
              lsps -a                                                               >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: df -k                                                                 >> OS/system  # File systems, space
              df -k                                                                 >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: ulimit -a                                                             >> OS/system  # Process limits
              ulimit -a                                                             >> OS/system


#START PK80262 & PM75203(AIX 7.1)
#echo "----------------------------------------------------------------------------" >> OS/system
#echo Execute: /usr/samples/kernel/vmtune                                            >> OS/system  # Kernel parameters
#              /usr/samples/kernel/vmtune                                            >> OS/system


AIXVERSION=`oslevel |cut -c 1-3`

case $AIXVERSION in
  6.1|7.1)
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: vmo -Fa                                                               >> OS/system  # vmo for AIX6.1 & AIX7.1
              vmo -Fa                                                               >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: ioo -Fa                                                               >> OS/system  # ioo for AIX6.1 & AIX7.1
              ioo -Fa                                                               >> OS/system
   ;;
  5.2|5.3)
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: vmo -a                                                                >> OS/system  # vmo for AIX5.2/5.3
              vmo -a                                                                >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: ioo -a                                                                >> OS/system  # ioo for AIX5.2/5.3
              ioo -a                                                                >> OS/system
   ;;
  5.1)
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: /usr/samples/kernel/vmtune                                            >> OS/system  # Kernel parameters for AIX 5.1
              /usr/samples/kernel/vmtune                                            >> OS/system
   ;;
  *)
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: vmo -a                                                                >> OS/system  # vmo for unknown AIX
              vmo -a                                                                >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: ioo -a                                                                >> OS/system  # ioo for unknown AIX
              ioo -a     
   ;;
esac


echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: svmon -G                                                              >> OS/system  # svmon -G
              svmon -G                                                              >> OS/system


#END PK80262




echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: vmstat                                                                >> OS/system  # Virtual memory information
              vmstat                                                                >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: iostat                                                                >> OS/system  # I/O statistics
              iostat                                                                >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lscfg                                                                 >> OS/system  # System hardware
              lscfg                                                                 >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lsdev -C -S a                                                         >> OS/system  # System hardware
              lsdev -C -S a                                                         >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: bindprocessor -q                                                      >> OS/system  # Processors
              bindprocessor -q                                                      >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lsdev -Cc disk                                                        >> OS/system  # Physical disk information
              lsdev -Cc disk                                                        >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lspv                                                                  >> OS/system  # Physical disk information
              lspv                                                                  >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lsvg                                                                  >> OS/system  # Volume groups
              lsvg                                                                  >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lsfs                                                                  >> OS/system  # File systems
              lsfs                                                                  >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lsattr -El sys0                                                       >> OS/system  # System limits, settings
              lsattr -El sys0                                                       >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: ps -ef                                                                >> OS/system  # Processes
              ps -ef                                                                >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lssrc -a                                                              >> OS/system  # Subsystem status
              lssrc -a                                                              >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: errpt                                                                 >> OS/system  # Error report
              errpt                                                                 >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lsuser ALL                                                            >> OS/system  # User accounts
              lsuser ALL                                                            >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lsgroup ALL                                                           >> OS/system  # Groups
              lsgroup ALL                                                           >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: lslicense                                                             >> OS/system  # Licenced users
              lslicense                                                             >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: type java                                                             >> OS/system  # Java JVM location
              type java                                                             >> OS/system
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: ls -l "$WASInstallDir/java"                                             >> OS/system  # Java installation location
              ls -l "$WASInstallDir/java"                                             >> OS/system  # See if symlink or really here
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: ls -lL "$WASInstallDir/java"                                            >> OS/system  # Java installation location
              ls -lL "$WASInstallDir/java"                                            >> OS/system  # If symlink, follow it
echo "----------------------------------------------------------------------------" >> OS/system
echo Execute: java -version                                                         >> OS/system  # Java version
              java -version                                                         >> OS/system  2>&1
echo "----------------------------------------------------------------------------" >> OS/system

